#include "MyWindow.h"

#include <QtWidgets/QMessageBox>
#include <raytrace.h>

MyWindow::MyWindow(QWidget *parent)
    :
    QWidget(parent)
{
    label.setText(QString("path to database: "));
    button.setText(QString("set title"));
    connect(&button, SIGNAL(clicked()), this, SLOT(handle()));

    layout.addWidget(&label);
    layout.addWidget(&lineEdit);
    layout.addWidget(&button);

    setLayout(&layout);
}

void MyWindow::handle()
{
    const char *path = lineEdit.text().toStdString().c_str();
    struct db_i *database = db_open(path, "r");

    if (database == DBI_NULL) {
        QMessageBox::information(this, "", "error while setting title");
        return;
    }

    setWindowTitle(QString(database->dbi_title));
    db_close(database);
}
